%define version	2.0.3
%define release	%mkrel 5

Name:		kannadic
Summary:        A dictionary management tool for Japanese translation engines
Version:	%{version}
Release:	%{release}
URL:		http://linux-life.net/program/cc/kde/app/kannadic/
Source0:	%{name}-%{version}.tar.bz2
Group:		System/Internationalization
BuildRoot:	%{_tmppath}/%{name}-root
License:	GPL
Requires:	kdelibs arts anthy
BuildRequires:	kdelibs-devel 
BuildRequires:	anthy-devel desktop-file-utils

%description
A dictionary management tool for Japanese translation engines.


%prep
%setup -q

%build
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p %{buildroot}/usr/share/applications
mv %{buildroot}/usr/share/applnk/Utilities/%{name}.desktop %{buildroot}/usr/share/applications/%{name}.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-key="Patterns" \
  --remove-key="Exec" \
  --add-category="Office;Dictionary" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/apps/*/*
%{_datadir}/doc/HTML/en/kannadic/*
%{_datadir}/icons/*/*
%{_datadir}/mimelnk/*/*



%changelog
* Tue Jul 22 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.3-5mdv2009.0
+ Revision: 240879
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 08 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.3-3mdv2008.0
+ Revision: 82498
- xdg menu
- Import kannadic




* Wed Oct 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.3-2mdk
- Fix redundant BuildRequires
	- qt3-devel is already required by kdelibs-devel
	- arts-devel is already required by kdelibs-devel
- %%mkrel
- Fix build for x86_64

* Sat Aug 14 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 2.0.3-1mdk
- new release 

* Sun Aug 01 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 2.0.2-1mdk
- new release 

* Sun Aug 01 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 2.0.1-1mdk
- new release 

* Thu Jul 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.0-1mdk
- fix {build,}requires 
- initial spec for Mandrake (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
